Loading...
Searching...
No Matches
itk::UpsampleBSplineParametersFilter< TArray, TImage > Class Template Reference

`#include <itkUpsampleBSplineParametersFilter.h>`

## Detailed Description

template<class TArray, class TImage>
class itk::UpsampleBSplineParametersFilter< TArray, TImage >

Convenience class for upsampling a B-spline coefficient image.

The UpsampleBSplineParametersFilter class is a class that takes as input the B-spline parameters. It's purpose is to compute new B-spline parameters on a denser grid. Therefore, the user needs to supply the old B-spline grid (region, spacing, origin, direction), and the required B-spline grid.

Definition at line 39 of file itkUpsampleBSplineParametersFilter.h.

Inheritance diagram for itk::UpsampleBSplineParametersFilter< TArray, TImage >:
[legend]

## Public Types

using | ArrayType = TArray
using | ConstPointer = SmartPointer<const Self>
using | DirectionType = typename ImageType::DirectionType
using | ImagePointer = typename ImageType::Pointer
using | ImageType = TImage
using | OriginType = typename ImageType::PointType
using | Pointer = SmartPointer<Self>
using | RegionType = typename ImageType::RegionType
using | Self = UpsampleBSplineParametersFilter
using | SpacingType = typename ImageType::SpacingType
using | Superclass = Object
using | ValueType = typename ArrayType::ValueType

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (UpsampleBSplineParametersFilter)
| itkStaticConstMacro (Dimension, unsigned int, ImageType::ImageDimension)
virtual void | SetBSplineOrder (unsigned int _arg)
virtual void | SetCurrentGridDirection (DirectionType _arg)
virtual void | SetCurrentGridOrigin (OriginType _arg)
virtual void | SetCurrentGridRegion (RegionType _arg)
virtual void | SetCurrentGridSpacing (SpacingType _arg)
virtual void | SetRequiredGridDirection (DirectionType _arg)
virtual void | SetRequiredGridOrigin (OriginType _arg)
virtual void | SetRequiredGridRegion (RegionType _arg)
virtual void | SetRequiredGridSpacing (SpacingType _arg)
virtual void | UpsampleParameters (const ArrayType &param_in, ArrayType &param_out)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

virtual bool | DoUpsampling ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| UpsampleBSplineParametersFilter ()
| ~UpsampleBSplineParametersFilter () override=default

## Private Attributes

unsigned int | m_BSplineOrder {}
DirectionType | m_CurrentGridDirection {}
OriginType | m_CurrentGridOrigin {}
RegionType | m_CurrentGridRegion {}
SpacingType | m_CurrentGridSpacing {}
DirectionType | m_RequiredGridDirection {}
OriginType | m_RequiredGridOrigin {}
RegionType | m_RequiredGridRegion {}
SpacingType | m_RequiredGridSpacing {}

## Member Typedef Documentation

## ArrayType

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::ArrayType = TArray

Typedefs.

Definition at line 57 of file itkUpsampleBSplineParametersFilter.h.

## ConstPointer

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::ConstPointer = SmartPointer<const Self>

Definition at line 48 of file itkUpsampleBSplineParametersFilter.h.

## DirectionType

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::DirectionType = typename ImageType::DirectionType

Definition at line 64 of file itkUpsampleBSplineParametersFilter.h.

## ImagePointer

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::ImagePointer = typename ImageType::Pointer

Definition at line 60 of file itkUpsampleBSplineParametersFilter.h.

## ImageType

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::ImageType = TImage

Definition at line 59 of file itkUpsampleBSplineParametersFilter.h.

## OriginType

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::OriginType = typename ImageType::PointType

Definition at line 63 of file itkUpsampleBSplineParametersFilter.h.

## Pointer

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::Pointer = SmartPointer<Self>

Definition at line 47 of file itkUpsampleBSplineParametersFilter.h.

## RegionType

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::RegionType = typename ImageType::RegionType

Definition at line 65 of file itkUpsampleBSplineParametersFilter.h.

## Self

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::Self = UpsampleBSplineParametersFilter

Standard class typedefs.

Definition at line 45 of file itkUpsampleBSplineParametersFilter.h.

## SpacingType

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::SpacingType = typename ImageType::SpacingType

Definition at line 62 of file itkUpsampleBSplineParametersFilter.h.

## Superclass

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::Superclass = Object

Definition at line 46 of file itkUpsampleBSplineParametersFilter.h.

## ValueType

template<class TArray, class TImage>

using itk::UpsampleBSplineParametersFilter< TArray, TImage >::ValueType = typename ArrayType::ValueType

Definition at line 58 of file itkUpsampleBSplineParametersFilter.h.

## Constructor & Destructor Documentation

## UpsampleBSplineParametersFilter()

template<class TArray, class TImage>

itk::UpsampleBSplineParametersFilter< TArray, TImage >::UpsampleBSplineParametersFilter | ( |  | ) |

protected

Constructor.

## ~UpsampleBSplineParametersFilter()

template<class TArray, class TImage>

itk::UpsampleBSplineParametersFilter< TArray, TImage >::~UpsampleBSplineParametersFilter | ( |  | ) |

override protected default

Destructor.

## Member Function Documentation

## DoUpsampling()

template<class TArray, class TImage>

virtual bool itk::UpsampleBSplineParametersFilter< TArray, TImage >::DoUpsampling | ( |  | ) |

protected virtual

Function that checks if upsampling is required.

## GetClassName()

template<class TArray, class TImage>

virtual const char * itk::UpsampleBSplineParametersFilter< TArray, TImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TArray, class TImage>

itk::UpsampleBSplineParametersFilter< TArray, TImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | UpsampleBSplineParametersFilter< TArray, TImage > |  | ) |

## itkStaticConstMacro()

template<class TArray, class TImage>

itk::UpsampleBSplineParametersFilter< TArray, TImage >::itkStaticConstMacro | ( | Dimension | ,
|  | unsigned int | ,
|  | ImageType::ImageDimension | )

Dimension of the fixed image.

## New()

template<class TArray, class TImage>

Pointer itk::UpsampleBSplineParametersFilter< TArray, TImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<class TArray, class TImage>

void itk::UpsampleBSplineParametersFilter< TArray, TImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetBSplineOrder()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetBSplineOrder | ( | unsigned int | _arg | ) |

virtual

Set the B-spline order.

## SetCurrentGridDirection()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetCurrentGridDirection | ( | DirectionType | _arg | ) |

virtual

Set the direction of the current grid.

## SetCurrentGridOrigin()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetCurrentGridOrigin | ( | OriginType | _arg | ) |

virtual

Set the origin of the current grid.

## SetCurrentGridRegion()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetCurrentGridRegion | ( | RegionType | _arg | ) |

virtual

Set the region of the current grid.

## SetCurrentGridSpacing()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetCurrentGridSpacing | ( | SpacingType | _arg | ) |

virtual

Set the spacing of the current grid.

## SetRequiredGridDirection()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetRequiredGridDirection | ( | DirectionType | _arg | ) |

virtual

Set the direction of the required grid.

## SetRequiredGridOrigin()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetRequiredGridOrigin | ( | OriginType | _arg | ) |

virtual

Set the origin of the required grid.

## SetRequiredGridRegion()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetRequiredGridRegion | ( | RegionType | _arg | ) |

virtual

Set the region of the required grid.

## SetRequiredGridSpacing()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::SetRequiredGridSpacing | ( | SpacingType | _arg | ) |

virtual

Set the spacing of the required grid.

## UpsampleParameters()

template<class TArray, class TImage>

virtual void itk::UpsampleBSplineParametersFilter< TArray, TImage >::UpsampleParameters | ( | const ArrayType & | param_in,
|  | ArrayType & | param_out )

virtual

Compute the output parameter array.

## Field Documentation

## m_BSplineOrder

template<class TArray, class TImage>

unsigned int itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_BSplineOrder {}

private

Definition at line 126 of file itkUpsampleBSplineParametersFilter.h.

## m_CurrentGridDirection

template<class TArray, class TImage>

DirectionType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_CurrentGridDirection {}

private

Definition at line 120 of file itkUpsampleBSplineParametersFilter.h.

## m_CurrentGridOrigin

template<class TArray, class TImage>

OriginType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_CurrentGridOrigin {}

private

Private member variables.

Definition at line 118 of file itkUpsampleBSplineParametersFilter.h.

## m_CurrentGridRegion

template<class TArray, class TImage>

RegionType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_CurrentGridRegion {}

private

Definition at line 121 of file itkUpsampleBSplineParametersFilter.h.

## m_CurrentGridSpacing

template<class TArray, class TImage>

SpacingType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_CurrentGridSpacing {}

private

Definition at line 119 of file itkUpsampleBSplineParametersFilter.h.

## m_RequiredGridDirection

template<class TArray, class TImage>

DirectionType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_RequiredGridDirection {}

private

Definition at line 124 of file itkUpsampleBSplineParametersFilter.h.

## m_RequiredGridOrigin

template<class TArray, class TImage>

OriginType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_RequiredGridOrigin {}

private

Definition at line 122 of file itkUpsampleBSplineParametersFilter.h.

## m_RequiredGridRegion

template<class TArray, class TImage>

RegionType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_RequiredGridRegion {}

private

Definition at line 125 of file itkUpsampleBSplineParametersFilter.h.

## m_RequiredGridSpacing

template<class TArray, class TImage>

SpacingType itk::UpsampleBSplineParametersFilter< TArray, TImage >::m_RequiredGridSpacing {}

private

Definition at line 123 of file itkUpsampleBSplineParametersFilter.h.

Generated on 1768596610 for elastix by 1.15.0 |